## webkit2gtk 2.8.4+dfsg1

=== debian/changelog ===
webkit2gtk (2.8.4+dfsg1-1ubuntu1) wily; urgency=medium

  * Create explicit instantiations of putByIndexBeyondVectorLengthWithoutAttributes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Aug 2015 14:45:58 +0200

webkit2gtk (2.8.4+dfsg1-1build1) wily; urgency=medium

  * No-change rebuild against libicu55

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 01:31:44 +0000
