=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d+$//" \
   http://webkitgtk.org/releases/ webkitgtk-([\d]+\.[\d]*[\d]\.[\d]+).tar.xz
