## webkit2gtk 2.10.2+dfsg1

=== debian/changelog ===
webkit2gtk (2.10.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Don't build debug packages in arm64, it kills the buildd.

 -- Alberto Garcia <berto@igalia.com>  Thu, 15 Oct 2015 13:36:30 +0300
