=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                libfreetype6-dev,
                libicu-dev,
                libgnutls28-dev,
+               libhyphen-dev,
                libnotify-dev,
                libxslt1-dev (>= 1.1.7),
                libxml2-dev (>= 2.6),
@@ -44,7 +45,9 @@
                libsecret-1-dev,
                gobject-introspection (>= 1.32.0),
                libgirepository1.0-dev (>= 0.9.12-4),
-               libgl1-mesa-dev
+               libgl1-mesa-dev [!armel !armhf !arm64],
+               libegl1-mesa-dev [armel armhf arm64],
+               libgles2-mesa-dev [armel armhf arm64]
 Build-Conflicts: gir-repository-dev
 Standards-Version: 3.9.6
 Homepage: http://webkitgtk.org/
