## webkit2gtk 2.10.3+dfsg1

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,7 @@
                debhelper (>= 9),
                libglib2.0-dev (>= 2.36.0),
                libgtk2.0-dev (>= 2.24.10),
-               gir1.2-gtk-2.0,
                libgtk-3-dev (>= 3.10.0),
-               gir1.2-gtk-3.0 (>= 3.10.0),
                libpango1.0-dev (>= 1.30.0),
                libharfbuzz-dev (>= 0.9.18),
                libcairo2-dev (>= 1.10),
@@ -25,7 +23,6 @@
                libxslt1-dev (>= 1.1.7),
                libxml2-dev (>= 2.6),
                libsoup2.4-dev (>= 2.42.0),
-               gir1.2-soup-2.4,
                libsqlite3-dev (>= 3.0),
                libgudev-1.0-dev [linux-any],
                gperf,
@@ -45,8 +42,8 @@
                libsecret-1-dev,
                gobject-introspection (>= 1.32.0),
                libgirepository1.0-dev (>= 0.9.12-4),
+               libegl1-mesa-dev,
                libgl1-mesa-dev [!armel !armhf !arm64],
-               libegl1-mesa-dev [armel armhf arm64],
                libgles2-mesa-dev [armel armhf arm64]
 Build-Conflicts: gir-repository-dev
 Standards-Version: 3.9.6
