## webkit2gtk 2.10.4+dfsg1

=== Source/WebCore/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
     "${WEBCORE_DIR}/Modules/indexeddb"
     "${WEBCORE_DIR}/Modules/indieui"
     "${WEBCORE_DIR}/Modules/mediacontrols/"
+    "${WEBCORE_DIR}/Modules/mediasession"
     "${WEBCORE_DIR}/Modules/mediasource"
     "${WEBCORE_DIR}/Modules/mediastream"
     "${WEBCORE_DIR}/Modules/navigatorcontentutils"
@@ -29,6 +30,7 @@
     "${WEBCORE_DIR}/bridge"
     "${WEBCORE_DIR}/bridge/c"
     "${WEBCORE_DIR}/bridge/jsc"
+    "${WEBCORE_DIR}/contentextensions"
     "${WEBCORE_DIR}/crypto"
     "${WEBCORE_DIR}/crypto/algorithms"
     "${WEBCORE_DIR}/crypto/keys"
@@ -79,6 +81,7 @@
     "${WEBCORE_DIR}/platform/image-decoders/webp"
     "${WEBCORE_DIR}/platform/mediastream"
     "${WEBCORE_DIR}/platform/mock"
+    "${WEBCORE_DIR}/platform/mock/mediasource"
     "${WEBCORE_DIR}/platform/network"
     "${WEBCORE_DIR}/platform/sql"
     "${WEBCORE_DIR}/platform/text"
@@ -129,15 +132,31 @@
     "${CMAKE_BINARY_DIR}"
 )
 
+set(WebCore_SYSTEM_INCLUDE_DIRECTORIES
+    ${ICU_INCLUDE_DIRS}
+)
+
 set(WebCore_IDL_INCLUDES
+    css
+    dom
+    fileapi
+    html
+    inspector
+    page
+    plugins
+    storage
+    svg
+    workers
+    xml
+
     Modules/airplay
     Modules/battery
     Modules/encryptedmedia
     Modules/gamepad
-    Modules/gamepad/deprecated
     Modules/geolocation
     Modules/indexeddb
     Modules/indieui
+    Modules/mediasession
     Modules/mediastream
     Modules/notifications
     Modules/proximity
@@ -148,23 +167,17 @@
     Modules/webaudio
     Modules/webdatabase
     Modules/websockets
+
+    Modules/gamepad/deprecated
+
     bindings/generic
     bindings/js
-    css
-    dom
-    fileapi
-    html
+
     html/canvas
     html/shadow
     html/track
-    inspector
+
     loader/appcache
-    page
-    plugins
-    storage
-    svg
-    workers
-    xml
 )
 
 set(WebCore_NON_SVG_IDL_FILES
@@ -211,6 +224,10 @@
 
     Modules/mediacontrols/MediaControlsHost.idl
 
+    Modules/mediasession/HTMLMediaElementMediaSession.idl
+    Modules/mediasession/MediaRemoteControls.idl
+    Modules/mediasession/MediaSession.idl
+
     Modules/mediasource/DOMURLMediaSource.idl
     Modules/mediasource/MediaSource.idl
     Modules/mediasource/SourceBuffer.idl
@@ -219,10 +236,11 @@
 
     Modules/mediastream/AllAudioCapabilities.idl
     Modules/mediastream/AllVideoCapabilities.idl
-    Modules/mediastream/AudioStreamTrack.idl
     Modules/mediastream/CapabilityRange.idl
     Modules/mediastream/DOMURLMediaStream.idl
     Modules/mediastream/HTMLMediaElementMediaStream.idl
+    Modules/mediastream/MediaDeviceInfo.idl
+    Modules/mediastream/MediaDevices.idl
     Modules/mediastream/MediaSourceStates.idl
     Modules/mediastream/MediaStream.idl
     Modules/mediastream/MediaStreamCapabilities.idl
@@ -233,6 +251,7 @@
     Modules/mediastream/MediaTrackConstraint.idl
     Modules/mediastream/MediaTrackConstraintSet.idl
     Modules/mediastream/MediaTrackConstraints.idl
+    Modules/mediastream/NavigatorMediaDevices.idl
     Modules/mediastream/NavigatorUserMedia.idl
     Modules/mediastream/NavigatorUserMediaError.idl
     Modules/mediastream/NavigatorUserMediaErrorCallback.idl
@@ -242,18 +261,17 @@
     Modules/mediastream/RTCDTMFToneChangeEvent.idl
     Modules/mediastream/RTCDataChannel.idl
     Modules/mediastream/RTCDataChannelEvent.idl
-    Modules/mediastream/RTCPeerConnectionErrorCallback.idl
     Modules/mediastream/RTCIceCandidate.idl
     Modules/mediastream/RTCIceCandidateEvent.idl
     Modules/mediastream/RTCIceServer.idl
     Modules/mediastream/RTCPeerConnection.idl
+    Modules/mediastream/RTCPeerConnectionErrorCallback.idl
     Modules/mediastream/RTCSessionDescription.idl
     Modules/mediastream/RTCSessionDescriptionCallback.idl
     Modules/mediastream/RTCStatsCallback.idl
     Modules/mediastream/RTCStatsReport.idl
     Modules/mediastream/RTCStatsResponse.idl
     Modules/mediastream/SourceInfo.idl
-    Modules/mediastream/VideoStreamTrack.idl
 
     Modules/navigatorcontentutils/NavigatorContentUtils.idl
 
@@ -271,7 +289,10 @@
     Modules/speech/SpeechSynthesisUtterance.idl
     Modules/speech/SpeechSynthesisVoice.idl
 
+    Modules/streams/CountQueuingStrategy.idl
     Modules/streams/ReadableStream.idl
+    Modules/streams/ReadableStreamController.idl
+    Modules/streams/ReadableStreamReader.idl
 
     Modules/vibration/NavigatorVibration.idl
 
@@ -317,27 +338,3 @@
     Modules/webdatabase/SQLTransactionErrorCallback.idl
 
     Modules/websockets/CloseEvent.idl
-    Modules/websockets/WebSocket.idl
-
-    crypto/CryptoKey.idl
-    crypto/CryptoKeyPair.idl
-    crypto/SubtleCrypto.idl
-
-    css/CSSCharsetRule.idl
-    css/CSSFontFaceLoadEvent.idl
-    css/CSSFontFaceRule.idl
-    css/CSSImportRule.idl
-    css/CSSMediaRule.idl
-    css/CSSPageRule.idl
-    css/CSSPrimitiveValue.idl
-    css/CSSRule.idl
-    css/CSSRuleList.idl
-    css/CSSStyleDeclaration.idl
-    css/CSSStyleRule.idl
-    css/CSSStyleSheet.idl
-    css/CSSSupportsRule.idl
-    css/CSSUnknownRule.idl
-    css/CSSValue.idl
-    css/CSSValueList.idl
-    css/Counter.idl
-    css/DOMWindowCSS.idl
